Subject: Re: bug#51001: 28.0.50; [feature/pgtk] Wrong modifier used as meta with pgtk

From: Tom Hughes <[email-masked]>
Date: Tue, 13 Sep 2022 17:32:29 +0100

On 13/09/2022 03:32, Po Lu wrote:
> Tom Hughes <[email-masked]> writes:
> 
>> This still seems to happen on master, yes.
> 
> The Wayland compositor does not respect modifier mappings set in the
> Xwayland server.  GTK 3 has lost the concept of a separate "Meta"
> modifier, so there is no way to achieve what you want on PGTK.
> 
> And probably on Wayland in general, I think.

So I think I have found a way to get what I want, because I don't
actually care about a meta key, but I use A-letter for all my main
short cuts. Fortunately this works:

(setq x-meta-keysym 'alt)

I did try changing my A-letter shortcuts to M-letter but that winds
up breaking ESC x as M-x which is the one thing I do use.

Tom

-- 
Tom Hughes ([email-masked])
http://compton.nu/